﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;

namespace SendingMessages
{
    public partial class MainPage : PhoneApplicationPage
    {
        // Constructor
        public MainPage()
        {
            InitializeComponent();
            RetrieveData.Click += ( RetrieveData_Click );
            Page3.Click += ( o, e ) => { NavigationService.Navigate( new Uri( "/Page3.xaml", UriKind.Relative ) ); };

        }

        void RetrieveData_Click( object sender, RoutedEventArgs e )
        {
            NavigationService.Navigate( new Uri( "/Page2.xaml", UriKind.Relative ) );
        }

        protected override void OnNavigatedTo( 
            System.Windows.Navigation.NavigationEventArgs e )
        {
            string newText = string.Empty;
            if (NavigationContext.QueryString.TryGetValue( 
                "DataEntered", 
                out newText ))
            {
                DisplayText.Text = newText;
                NavigationService.RemoveBackEntry();
            }
            base.OnNavigatedTo( e );
        }

    }
}